All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.models.remotefileselector
Interface RemoteFileServiceModelInterface

All Known Subinterfaces:
  RemoteFileSearchModelInterface

All Known Implementing Classes:
  IFileServiceModel, IFileServiceSearchModel, InformationServicesModel, InformationServicesModel2, InformationServicesSearchModel, InformationServicesSearchModel2

    public interface RemoteFileServiceModelInterface

RemoteFileServiceModelInterface defines the interface needed for service models to be able to communicate with the RemoteFileServerModel. The RemoteFileServerModel communicates with the user interface portion of the RemoteFileSelector. A service model is the connection between the RemoteFileServerModel and the actual file system.

Since:
  3.1
See Also:
  `RemoteFileServerModel`, `
  `

Method Summary
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener listener)` Adds the model as a PropertyChangeListener.
`java.lang.String` | `combineDirectoryPathAndFileName(java.lang.String path, java.lang.String name)` Concatenates a path and a folder name.
`java.lang.String` | `getDirectoryPath(java.lang.String path)` Returns a path for the file locations.
`java.util.List` | `getFiles(java.lang.String path)` Returns the collection of files for the file system path that is being displayed.
`java.util.List` | `getFilterValues()` Returns the currently set values to filter on.
`java.lang.String` | `getFullyQualifiedPath(java.lang.String path, java.lang.String fileName)` Returns the file system path.
`java.lang.String` | `getTopLevelName()` Returns a name used to identify the top level in the view.
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener listener)` Removes the model as a PropertyChangeListener.
`void` | `setFilterValues(java.util.List filterValues)` Sets a list of values to be used for filtering file types or extensions.
`java.lang.String[]` | `splitDirectoryPathAndFileName(java.lang.String path)` Parses a given path into the parent folder and the file name.

Method Detail

### getFiles

    java.util.List getFiles(java.lang.String path)

  Returns the collection of files for the file system path that is being displayed. Path values need to be formatted for the appropriate file service. This method will return a collection of files . Each member of this collection must be an instance of com.sas.swing.models.remotefileselector.RemoteFileMetadataInterface.

  Parameters:
    `path` - the file system path.
  Returns:
    the collection of files
  See Also:
    `RemoteFileMetadataInterface`, `IFileServiceFileMetadata`

### splitDirectoryPathAndFileName

    java.lang.String[] splitDirectoryPathAndFileName(java.lang.String path)

  Parses a given path into the parent folder and the file name.

  Parameters:
    `path` - the path to be parsed
  Returns:
    the file and parent folder

### combineDirectoryPathAndFileName

    java.lang.String combineDirectoryPathAndFileName(java.lang.String path,
                                                     java.lang.String name)

  Concatenates a path and a folder name.

  Parameters:
    `path` - the parent path
    `name` - the folder name to be appended
  Returns:
    the concatenated path

### getTopLevelName

    java.lang.String getTopLevelName()

  Returns a name used to identify the top level in the view.

  Returns:
    the display name of the top level

### getFullyQualifiedPath

    java.lang.String getFullyQualifiedPath(java.lang.String path,
                                           java.lang.String fileName)

  Returns the file system path.

  Parameters:
    `path` - the original path that needs to be fully qualified
  Returns:
    the file system path

### getDirectoryPath

    java.lang.String getDirectoryPath(java.lang.String path)

  Returns a path for the file locations. Does not include extraneous system information.

  Parameters:
    `path` - the fully qualified path
  Returns:
    the file locations path

### setFilterValues

    void setFilterValues(java.util.List filterValues)

  Sets a list of values to be used for filtering file types or extensions.

  Parameters:
    `filterValues` - a List of String items with the values
  See Also:
    `getFilterValues()`

### getFilterValues

    java.util.List getFilterValues()

  Returns the currently set values to filter on.

  Returns:
    List of String items
  See Also:
    `setFilterValues(List)`

### addPropertyChangeListener

    void addPropertyChangeListener(java.beans.PropertyChangeListener listener)

  Adds the model as a PropertyChangeListener.

  Parameters:
    `listener` -

### removePropertyChangeListener

    void removePropertyChangeListener(java.beans.PropertyChangeListener listener)

  Removes the model as a PropertyChangeListener.

  Parameters:
    `listener` -

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.